;Struktura PLCINFOEX obsahuje prvky pro uloen informac o PLC

;Nazev PLC
Public _STR_PLC_NAME
MAX_LEN_STR = 128
LEN_STR sizestr PLC_NAME
if ((LEN_STR GE (MAX_LEN_STR+2)) OR (LEN_STR LT 3))
   _STR_PLC_NAME DB MAX_LEN_STR DUP (0)
   .ERR <'PLCName is too long'>
else
   _STR_PLC_NAME DB PLC_NAME
   DB (MAX_LEN_STR - LEN_STR + 2) DUP (0)
endif
   
;Komentar k PLC
Public _STR_PLC_COMMENT
MAX_LEN_STR = 512
LEN_STR sizestr PLC_COMMENT
if ((LEN_STR GE (MAX_LEN_STR+2)) OR (LEN_STR LT 3))
   _STR_PLC_COMMENT DB MAX_LEN_STR DUP (0)
   .ERR <'PLCComment is too long'>
else
   _STR_PLC_COMMENT DB PLC_COMMENT
   DB (MAX_LEN_STR - LEN_STR + 2) DUP (0)
endif

; Vydavatel PLC
Public _STR_PLC_PUBLISHER
MAX_LEN_STR = 128
LEN_STR sizestr PLC_PUBLISHER
if ((LEN_STR GE (MAX_LEN_STR+2)) OR (LEN_STR LT 3))
   _STR_PLC_PUBLISHER DB MAX_LEN_STR DUP (0)
   .ERR <'PLCPublisher is too long'>
else
   _STR_PLC_PUBLISHER DB PLC_PUBLISHER
   DB (MAX_LEN_STR - LEN_STR + 2) DUP (0)
endif

;Webov stranky vydavatele PLC
Public _STR_PLC_WEB 
MAX_LEN_STR = 128
LEN_STR sizestr PLC_WEB
if ((LEN_STR GE (MAX_LEN_STR+2)) OR (LEN_STR LT 3))
   _STR_PLC_WEB DB MAX_LEN_STR DUP (0)
   .ERR <'PLCWEB is too long'>
else
   _STR_PLC_WEB DB PLC_WEB
   DB (MAX_LEN_STR - LEN_STR + 2) DUP (0)
endif

; Telefon na vydavatele PLC
Public _STR_PLC_PHONE
MAX_LEN_STR = 128
LEN_STR sizestr PLC_PHONE
if ((LEN_STR GE (MAX_LEN_STR+2)) OR (LEN_STR LT 3))
   _STR_PLC_PHONE DB MAX_LEN_STR DUP (0)
   .ERR <'PLCPhone is too long'>
else
   _STR_PLC_PHONE DB PLC_PHONE
   DB (MAX_LEN_STR - LEN_STR + 2) DUP (0)
endif


;Retezec s datem a casem posledniho komitu ve tvaru yyyy-mm-dd hh:mm:ss
Public _STR_PLC_REVDATESTR
MAX_LEN_STR = 64
LEN_STR sizestr PLC_REVDATESTR
if ((LEN_STR GE (MAX_LEN_STR+2)) OR (LEN_STR LT 3))
   _STR_PLC_REVDATESTR DB MAX_LEN_STR DUP (0)
   .ERR <'PLCRevDat is too long'>
else
   _STR_PLC_REVDATESTR DB PLC_REVDATESTR
   DB (MAX_LEN_STR - LEN_STR + 2) DUP (0)
endif


;Retezec s datem a casem posledniho komitu ve tvaru yyyy-mm-dd hh:mm:ss
Public _STR_SVN_REVDATESTR
MAX_LEN_STR = 64
LEN_STR sizestr SVN_REVDATESTR
if ((LEN_STR GE (MAX_LEN_STR+2)) OR (LEN_STR LT 3))
   _STR_SVN_REVDATESTR DB MAX_LEN_STR DUP (0)
   .ERR <'SCNRevDat is too long'>
else
   _STR_SVN_REVDATESTR DB SVN_REVDATESTR
   DB (MAX_LEN_STR - LEN_STR + 2) DUP (0)
endif




;Dalsi ciselne informace
Public _NUM_PLC_RTM_INFO
_NUM_PLC_RTM_INFO  PLC_RTM_INFOS <PLC_REV,PLC_REVMODIFIED,PLC_REVMIXED,WINCNC_VER_MAJOR,WINCNC_VER_MINOR,SVN_REV,SVN_REVMODIFIED,SVN_REVMIXED>
